## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class FacesConfigIdentifierFeatures

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.taglibprocessing.attributevalues.FacesConfigIdentifierFeatures

All Implemented Interfaces:
  IPossibleValues, IValidELValues, IValidValues, IMetaDataEnabledFeature

Direct Known Subclasses:
  FacesConfigConverterIDFeatures, FacesConfigValidatorIDFeatures

    public abstract class FacesConfigIdentifierFeatures

extends AbstractMetaDataEnabledFeature
implements IPossibleValues, IValidValues, IValidELValues

Abstract meta-data processing feature representing a faces-config type

Provisional API - subject to change

Field Summary
`static java.lang.String` `ID_TYPE_PROP_NAME` Meta-data property name to use for identifying the faces-config type see jsf_core.xml converterID and validatorID attributes

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`FacesConfigIdentifierFeatures()`

Method Summary
`org.eclipse.jst.jsf.common.internal.types.CompositeType` `getExpectedRuntimeType()` Expected runtime type for EL value
`java.util.List` `getPossibleValues()`
`java.util.List` `getValidationMessages()`
`boolean` `isValidValue(java.lang.String value)`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Field Detail

### ID_TYPE_PROP_NAME

    public static final java.lang.String ID_TYPE_PROP_NAME

  Meta-data property name to use for identifying the faces-config type see jsf_core.xml converterID and validatorID attributes

  See Also:
    Constant Field Values

Constructor Detail

### FacesConfigIdentifierFeatures

    public FacesConfigIdentifierFeatures()

Method Detail

### getPossibleValues

    public java.util.List getPossibleValues()

  Specified by:
    `getPossibleValues` in interface `IPossibleValues`
  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Specified by:
    `isValidValue` in interface `IValidValues`
  Parameters:
    `value` - fully resolved value as String
  Returns:
    true if is valid

### getValidationMessages

    public java.util.List getValidationMessages()

  Specified by:
    `getValidationMessages` in interface `IValidValues`
  Returns:
    List of IValidationMessage objects if invalid Must return empty list rather than null Call to isValidValue(String value) required before this should be called.

### getExpectedRuntimeType

    public org.eclipse.jst.jsf.common.internal.types.CompositeType getExpectedRuntimeType()
                                                                                   throws ELIsNotValidException

  Description copied from interface: `IValidELValues`
  Expected runtime type for EL value

  Specified by:
    `getExpectedRuntimeType` in interface `IValidELValues`
  Returns:
    CompositeType
  Throws:
    `ELIsNotValidException`